#
# spec file for package perl-Jcode
#

# norootforbuild

Name:          perl-Jcode
%define        cpan_name %( %{__sed} -e 's,perl-,,' <<< %{name} )
Summary:       Japanese Charset Handler
Url:           http://search.cpan.org/perldoc?Jcode
Group:         Development/Libraries/Perl
License:       Artistic License
Version:       2.07
Release:       1.1
Vendor:        openSUSE-Education
Source:        %{cpan_name}-%{version}.tar.bz2
BuildRequires: perl-macros
Requires:      perl = %{perl_version}
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Jcode is a Japanese Charset Handler. It supports both object and traditional approach. 

Author:
-------
    Dan Kogai <dankogai@dan.co.jp>


%prep
%setup -n %{cpan_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files 
%defattr(-, root, root)
%doc Changes README MANIFEST

%changelog
* Sun Mar 28 2010 lars@linux-schulserver.de
- initial version 2.07
